All endpoints are accessed through the current site domain (proxied). The domain in the examples below is generated dynamically by the page — no manual replacement needed.
echo exaiv.com;; *) echo https://exaiv.com;; esac)Auth: send an Authorization: Bearer YOUR_API_KEY header; for sub-sites also send x-site-id (credits are isolated per site)..
Usa OpenAI Responses API per le conversazioni. Responses API è il formato API OpenAI più recente con input più flessibile.
Bearer YOUR_API_KEY| Parametro | Tipo | Obbligatorio | Descrizione |
|---|---|---|---|
| model | string | Obbligatorio | Nome del modello, ad es. deepseek-v4.1-flash, qwen3.8-max |
| input | string | Obbligatorio | Testo di input o contenuto della conversazione |
| max_tokens | integer | Opzionale | Numero massimo di token di output |
| temperature | float | Opzionale | Temperatura di campionamento, controlla la casualità (0-2) |
| stream | boolean | Opzionale | Abilita la risposta in streaming, imposta su true per SSE |
| Parametro | Tipo | Descrizione |
|---|---|---|
| id | string | Identificatore univoco della risposta |
| model | string | Modello effettivamente utilizzato |
| output | string | Testo di output generato |
| usage | object | Statistiche di utilizzo dei token, inclusi prompt_tokens, completion_tokens, total_tokens |
curl echo exaiv.com;; *) echo https://exaiv.com;; esac)/api/ai/v1/responses \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_KEY" \
-d '{
"model": "deepseek-v4.1-flash",
"input": "Hello, who are you?",
"max_tokens": 1000
}'